STUN(1)

NAME

stun - test client for STUN

SYNTAX

stun <ServerHostName> [test-Number] [-v] [-p Source-Port] [-i interface]

DESCRIPTION

Test client for STUN(Simple Traversal of UDP trough NATs) Server

OPTIONS

<Test-Number> [012]
    Define different choice for tests; there are three available tests cases witch are defined at RFC3489.

-v  Verbose output.

-p <Source-Port>
    Define the Source-Port.

-i [interface]
    Define a given interface

EXAMPLES

The general and standard way is:

stun stun.example.org

Alternatively you can run it using options as:

stun larry.gloo.net 0
Which runs the first test to larry.gloo.net please reefer to RFC 3489 for more info about the tests.

stun -v -i eth0 -i eth1 stun.example.org
Multiple interfaces could be defined with -i option

AUTHORS

This manual page was written by Rene Mayorga <rmayorga@debian.org.sv> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

SEE ALSO

stund(8)